wibble::net::http::FileParam::FileInfo Struct Reference

Infomation about one uploaded file. More...

`#include <http.h>`

## Public Member Functions

bool | read (net::mime::Reader &mime_reader, std::map< std::string, std::string > headers, const std::string &outdir, const std::string &fname_blacklist, const std::string &client_fname, int sock, const std::string &boundary, size_t inputsize)
| Handle a file upload from a multipart/form-data file upload part. More...

## Public Attributes

std::string | fname
| File pathname on the local file system. More...
std::string | client_fname
| File pathname provided by the client. More...

## Detailed Description

Infomation about one uploaded file.

## Member Function Documentation

## read()

bool wibble::net::http::FileParam::FileInfo::read | ( | net::mime::Reader & | mime_reader,
|  | std::map< std::string, std::string > | headers,
|  | const std::string & | outdir,
|  | const std::string & | fname_blacklist,
|  | const std::string & | client_fname,
|  | int | sock,
|  | const std::string & | boundary,
|  | size_t | inputsize
| ) |  |

Handle a file upload from a multipart/form-data file upload part.

References wibble::str::basename(), client_fname, wibble::str::fmtf(), fname, wibble::iterator(), wibble::str::joinpath(), and wibble::net::mime::Reader::read_until_boundary().

## Member Data Documentation

## client_fname

std::string wibble::net::http::FileParam::FileInfo::client_fname

File pathname provided by the client.

Referenced by read().

## fname

std::string wibble::net::http::FileParam::FileInfo::fname

File pathname on the local file system.

Referenced by read().

The documentation for this struct was generated from the following files:

- http.h
- http.cpp